%define upstream_name       Config-Augeas
%define upstream_version 1.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Edit configuration files through Augeas C library
Url:        https://metacpan.org/release/%{upstream_name}
Source0:     https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Module::Build) >= 0.340.201
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: pkgconfig(augeas)
%description
Augeas is a library and command line tool that focuses on the most basic
problem in handling Linux configurations programmatically: editing actual
configuration files in a controlled manner.

To that end, Augeas exposes a tree of all configuration settings (well, all
the ones it knows about) and a simple local API for manipulating the tree.
Augeas then modifies underlying configuration files according to the
changes that have been made to the tree; it does as little modeling of
configurations as possible, and focuses exclusively on transforming the
tree-oriented syntax of its public API to the myriad syntaxes of individual
configuration files.

This module provides an object oriented Perl interface for Augeas
configuration edition library with a more "perlish" API than Augeas C
counterpart.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc ChangeLog META.yml README
%{perl_vendorarch}/Config
%{perl_vendorarch}/auto/Config
%{_mandir}/man3/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.0.0-20.mga10
+ Revision: 2226860
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 1.0.0-19.mga10
+ Revision: 2089618
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 1.0.0-18.mga10
+ Revision: 2012279
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 1.0.0-17.mga9
+ Revision: 1875083
- Rebuild for perl-5.36

* Sat Mar 26 2022 umeabot <umeabot> 1.0.0-16.mga9
+ Revision: 1827925
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 1.0.0-15.mga8
+ Revision: 1606969
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-14.mga8
+ Revision: 1508311
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0-13.mga7
+ Revision: 1292535
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 1.0.0-12.mga7
+ Revision: 1248966
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.0.0-11.mga7
+ Revision: 1163467
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.0.0-10.mga7
+ Revision: 1159111
- rebuild with perl-5.26.x

* Sat Jun 18 2016 pterjan <pterjan> 1.0.0-9.mga6
+ Revision: 1024282
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.0.0-8.mga6
+ Revision: 956894
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 1.0.0-7.mga6
+ Revision: 843995
- Rebuild for perl 5.22

* Sat Oct 18 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 787977
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 750312
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 683972
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.0.0-3.mga5
+ Revision: 630926
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 533375
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 1.0.0-1.mga4
+ Revision: 472727
- update to 1.000

* Sun Jan 13 2013 umeabot <umeabot> 0.903.0-2.mga4
+ Revision: 364592
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 0.903.0-1.mga3
+ Revision: 335933
- Update to 0.903 (fixes test with Augeas 0.10.0)

* Wed May 30 2012 jquelin <jquelin> 0.902.0-2.mga3
+ Revision: 250366
- rebuild for perl 5.16

* Sat Nov 05 2011 kharec <kharec> 0.902.0-1.mga2
+ Revision: 163797
- update to 0.902

* Wed Oct 12 2011 takashi <takashi> 0.802.0-3.mga2
+ Revision: 154057
- update to 0.802

* Sat Jun 11 2011 sander85 <sander85> 0.701.0-3.mga2
+ Revision: 103747
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.701.0-2.mga1
+ Revision: 29943
- mageia rebuild
- cleaning spec file
- imported package perl-Config-Augeas


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.701.0-2mdv2011.0
+ Revision: 555709
- rebuild

* Fri Feb 19 2010 Jérôme Quelin <jquelin@mandriva.org> 0.701.0-1mdv2010.1
+ Revision: 508048
- update to 0.701

* Wed Dec 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.601.0-1mdv2010.1
+ Revision: 481707
- update to 0.601

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.501.0-1mdv2010.0
+ Revision: 397171
- new version

  + Bruno Cornec <bcornec@mandriva.org>
    - Again adapt the group to a valid one this time
    - Fix the Group used
    - Create the first perl-Config-Augeas package from version 0.500 of Dominique Dumont
    - create perl-Config-Augeas

